function EDP=setEDP()
  EDP.a=-5/3;EDP.b=1/3;
  EDP.t0=0;EDP.T=1;
  EDP.nu=1/2;
  EDP.c=@(x) x.^2+1;
  k=3;
  EDP.uex=@(t,x) cos(k*t)*sin(3*x-pi/7);
  EDP.f=@(t,x) -k*sin(k*t)*sin(3*x-pi/7)+EDP.nu*9*cos(k*t)*sin(3*x-pi/7)+EDP.c(x).*EDP.uex(t,x);
  EDP.u0=@(x) EDP.uex(EDP.t0,x);
  EDP.ua=@(t) EDP.uex(t,EDP.a);
  EDP.ub=@(t) EDP.uex(t,EDP.b);
end
